Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortalContext

All Known Implementing Classes:
  PortalContextImpl

    public interface PortalContext

The `PortalContext` interface gives the portlet the ability to retrieve information about the portal calling this portlet.

The portlet can only read the `PortalContext` data.

Version:
  $Revision: 5441 $
Author:
  Julien Viet

Method Summary
`java.lang.String` | `getPortalInfo()` Returns information about the portal like vendor, version, etc.
`java.lang.String` | `getProperty(java.lang.String name)` Returns the portal property with the given name, or a `null` if there is no property by that name.
`java.util.Enumeration` | `getPropertyNames()` Returns all portal property names, or an empty `Enumeration` if there are no property names.
`java.util.Enumeration` | `getSupportedPortletModes()` Returns all supported portlet modes by the portal as an enumertation of `PorltetMode` objects.
`java.util.Enumeration` | `getSupportedWindowStates()` Returns all supported window states by the portal as an enumertation of `WindowState` objects.

Method Detail

### getPortalInfo

    java.lang.String getPortalInfo()

  Returns information about the portal like vendor, version, etc.

  The form of the returned string is servername/versionnumber. For example, the reference implementation Pluto may return the string `Pluto/1.0`.

  The portlet container may return other optional information after the primary string in parentheses, for example, `Pluto/1.0 (JDK 1.3.1; Windows NT 4.0 x86)`.

  Returns:
    a `String` containing at least the portal name and version number

### getProperty

    java.lang.String getProperty(java.lang.String name)

  Returns the portal property with the given name, or a `null` if there is no property by that name.

  Parameters:
    `name` - property name
  Returns:
    portal property with key `name`
  Throws:
    `java.lang.IllegalArgumentException` - if name is `null`.

### getPropertyNames

    java.util.Enumeration getPropertyNames()

  Returns all portal property names, or an empty `Enumeration` if there are no property names.

  Returns:
    All portal property names as an `Enumeration` of `String` objects

### getSupportedPortletModes

    java.util.Enumeration getSupportedPortletModes()

  Returns all supported portlet modes by the portal as an enumertation of `PorltetMode` objects.

  The portlet modes must at least include the standard portlet modes `EDIT, HELP, VIEW`.

  Returns:
    All supported portal modes by the portal as an enumertation of `PorltetMode` objects.

### getSupportedWindowStates

    java.util.Enumeration getSupportedWindowStates()

  Returns all supported window states by the portal as an enumertation of `WindowState` objects.

  The window states must at least include the standard window states `MINIMIZED, NORMAL, MAXIMIZED`.

  Returns:
    All supported window states by the portal as an enumertation of `WindowState` objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.